#15598 closed Bugs (Fixed)

Kodi crashes with DVBLink PVR on channel switching

Reported by: nexusle Owned by: opdenkamp
Priority: 4 - Normal
Component: PVR (Personal Video Recoder) - core components Version: 14.0 "Helix" RC3
Severity: Normal Keywords:
Cc: Blocked By:
Blocking: Platform: All

Description

Hi guys,

we have crashes of Kodi with active DVBLink PVR addon in times of switching channels. This error only appears, if timeshift is enabled. Without active timeshifting, we have no crashes. On a thread in DVBLogic forum we have discripted and analysed the error:

Quote:Using my windows 7 64bit desktop computer DVBLink Server 5.1.0 10713 DVBLink EPG Loader for PercData 5.1.0 10797 HDHomeRun dual OTA ATSC tuner Model: HDTC-2US Older model HDHomeRun dual tuner Synology DS211j NAS

I uninstalled the existing Kodi and installed the 14 Release Candidate 2 the only thing I added was the DVBLogic PVR addon I configured the addon and did not select "time shifting" changed channels and did not crash.

Enabled "time shifting" was able to change channels 3 or 4 times before crashing.

Tried again, with "time shifting" disabled, changed channels several times no crash.

Enabled "time shifting" again after three times changing channels, it crashed Kodi.

Made several more test with and without "time shifting" enabled, sometimes with the "time shifting enabled" I could change channels several times before crashing. With "time shifting" disabled, I could never get Kodi to crash.

Here is a log of the crash with "time shifting" enabled. https://www.dropbox.com/s/gznsomqmkw9u277/kodi.log?dl=0

http://forum.dvblogic.com/viewtopic.php?f=66&t=28634&start=30#p97108

Main Thread: http://forum.dvblogic.com/viewtopic.php?f=66&t=28634

I've read reports, that this isn't always happen on Windows, but everytime on OpenELEC and/or Mac OS X.

It seems, that the timeshift buffer isn't ganerated fast enough for Kodi.Could this please fixed?

Attachments (1)

Change History (4)

comment:1 Changed at 2014-12-10T17:23:59Z by clarkss12

I ran a test on December 10, 2014 using Kodi 14.0 RC3 on my Android TV box, Tronsmart Vega S89H. With "time shifting" enabled, Kodi would crash immediately when changing channels using the remote up and down button. With "time shifting" disabled, I can change channels without crashing.

I have attached a crash report log showing the crash.

comment:2 Changed at 2014-12-30T19:29:09Z by negge

  • Resolution set to Fixed
  • Status changed from new to closed

comment:3 Changed at 2015-01-28T18:11:03Z by Martijn

  • Milestone changed from Future / Pending to 14.0 "Helix"
Note: See TracTickets for help on using tickets.